Error al intentar instalar Firebase con pod en relación con nanopb

Estoy intentando instalar Firebase en mi aplicación rápida con Cocoapod así:

pod 'Firebase/Core' pod 'Firebase/Messaging' 

Pero tengo un error cuando estoy procesando la installation de pod:

 [!] Error installing nanopb [!] /usr/bin/curl -f -L -o /var/folders/82/qk0yjdtx5xl0hnzsk2s2h30h0000gn/T/d20170722-19429-tm6t4q/file.tgz http://koti.kapsi.fi/~jpa/nanopb/download/nanopb-0.3.8.tar.gz --create-dirs --netrc-optional % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 330 100 330 0 0 1941 0 --:--:-- --:--:-- --:--:-- 1952 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 curl: (22) The requested URL returned error: 503 Service Unavailable 

Solo el server abajo? o me estoy perdiendo algo ¿hay otra forma de hacerlo sin nanopb?

¡sí! así que si vuelve a intentarlo más tarde, debería funcionar.

Dado que es un repository público, una dirección como https://github.com/CocoaPods/Specs.git .

introduzca la descripción de la imagen aquí

Finalmente agrego

 pod 'Firebase', '4.0.3' 

esto resuelve el problema

De acuerdo con https://github.com/CocoaPods/Specs/blob/master/Specs/8/b/d/FirebaseCore/4.0.4/FirebaseCore.podspec.json , nanopb se agrega en dependencies de FirebaseCore 4.0.4.

Pero el server nanopb no funciona ahora ( http://jpa.kapsi.fi/nanopb/download/nanopb-0.3.8.tar.gz ).

Por lo tanto, debe especificar la versión de Firebase / Core a 4.0.3.

 pod 'Firebase/Core', '4.0.3' 

Sé que esto suena como un yo también, pero me encontré con este problema y me tomó medio día para que el sitio vuelva a terminar la installation. Si se encuentra con este punto, simplemente ingrese su browser en jap.kapsi.fi y si muestra un error 503, inténtelo nuevamente más tarde. Eso funcionó para mí, ya que una vez que vi el sitio de copy de security, hice la installation de pods y tuvo éxito.